import groovy.transform.*
import groovy.transform.builder.*


@Builder
@ToString
class Person {
  String firstName
  String lastName
  int age
  String phoneNumber
}

def bob = Person.builder()
                .firstName('Bob')
                .lastName('Walker')
                .age(2)
                .phoneNumber('111-222-3333')
                .build()

println bob



