import groovy.transform.*

@Immutable
class CreditCard {
  String number
  int creditLimit
}

@Newify
def factory() {
  CreditCard.new("1111-2222-3333-4444", 1000)  
}

@Newify(CreditCard)
def factory2() {
  CreditCard("1111-2222-3333-4444", 1000)  
}

println factory()
println factory2()
