import groovy.transform.*

def shout1(String str) {
  str.toUppercase() //Runtime error - incorrect case for the function,
      //unless the function is injected before this express is run.
}

@TypeChecked
def shout2(String str) {
  str.reverse() //OK, DefaultGroovyMethods are quite fine
  str.toUppercase() // compilation error, no opportunity for 
    //this method to be injected at runtime for use here.
}


